Subject: bug#49709: 27.2.50; smtpmail send queued and X-Message-SMTP-Method header

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 17:59:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> smtpmail.el could register all the SMTP variables bound at the time it
> was called, and then restore the variables when sending the queue, I
> guess?  I'm not sure whether that would be confusing -- perhaps people
> are setting (say) `smtpmail-smtp-server' before calling
> `smtpmail-send-queued-mail', and saving the variable values would break
> that use case...

Actually, I think this sounds generally useful, so I've now introduced a
variable to control whether to store the smtpmail variables or not (and
then made Message use it).  I'll push it tomorrow after some more
testing, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no